Retrieves project statuses

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a056cb1f-2541-4973-9f9e-6658e49a9a7d",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "b9b44933-223f-48b5-8680-54d0e6079858",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "231c1b2c-5783-4104-a002-96a8fd47f5bf",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "4dcb31ec-6dbd-4815-977f-fa0c48c21c7e",
    "db_currency_id": "21a0bfe7-8c04-4ddb-afeb-475a1b379e2a",
    "db_language_id": "6fd3e801-4bdb-4fb4-aa4f-65746bc02c65",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T15:44:50.177916+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-10-26T15:44:50.177916+00:00"
}